/*defines*/

#define ip_conntrack        nf_conn
#define ip_conntrack_get    nf_ct_get
#define ip_conntrack_tcp_update       nf_conntrack_tcp_update
#define ip_conntrack_expect                 nf_conntrack_expect
#define ip_conntrack_expect_related       nf_conntrack_expect_related
#define ip_conntrack_unexpect_related       nf_conntrack_unexpect_related
#define ip_conntrack_tuple                      nf_conntrack_tuple
#define ip_conntrack_untracked                  nf_conntrack_untracked
#define ip_conntrack_helper                     nf_conntrack_helper
#define ip_conntrack_helper_register            nf_conntrack_helper_register
#define ip_conntrack_helper_unregister            nf_conntrack_helper_unregister
#define ip_conntrack_manip_proto                nf_conntrack_man_proto
#define ip_conntrack_expect_alloc               nf_conntrack_expect_alloc
#define ip_conntrack_expect_put           nf_conntrack_expect_put
#define ip_conntrack_tuple_taken          nf_conntrack_tuple_taken
#define ip_conntrack_alter_reply          nf_conntrack_alter_reply
#define invert_tuplepr                       nf_ct_invert_tuplepr
#define ip_ct_tuple_equal                 nf_ct_tuple_equal
#define ip_conntrack_htable_size                nf_conntrack_htable_size
#define ip_conntrack_destroyed                  nf_conntrack_destroyed
#define ip_conntrack_untracked                  nf_conntrack_untracked
#define ip_ct_get_tuple                   nf_ct_get_tuple
#define ip_conntrack_expect_find          nf_conntrack_expect_find
#define ip_conntrack_lock                       nf_conntrack_lock
#define ip_ct_iterate_cleanup             nf_ct_iterate_cleanup
#define is_confirmed                      nf_ct_is_confirmed
#ifdef CONFIG_NETFILTER_DEBUG
#define IP_NF_ASSERT(x)							\
do {									\
	if (!(x))							\
		/* Wooah!  I'm tripping my conntrack in a frenzy of	\
		   netplay... */					\
		printk("NF_IP_ASSERT: %s:%i(%s)\n",			\
		       __FILE__, __LINE__, __FUNCTION__);		\
} while(0)
#else
#define IP_NF_ASSERT(x)
#endif
#define ip_nat_tftp_hook                nf_nat_tftp_hook
#define ip_nat_amanda_hook              nf_nat_amanda_hook
#define ip_nat_ftp_hook                 nf_nat_ftp_hook
#define ip_nat_irc_hook                 nf_nat_irc_hook
#define ip_nat_pptp_hook_outbound       nf_nat_pptp_hook_outbound
#define ip_nat_pptp_hook_inbound        nf_nat_pptp_hook_inbound
#define ip_nat_pptp_hook_exp_gre        nf_nat_pptp_hook_exp_gre
#define ip_nat_pptp_hook_expectfn       nf_nat_pptp_hook_expectfn
#define ip_ct_pptp_master               nf_ct_pptp_master
#define ip_ct_gre_keymap_add            nf_ct_gre_keymap_add
#define ip_ct_gre_keymap_destroy        nf_ct_gre_keymap_destroy
#define CONFIG_IP_NF_CONNTRACK_NETLINK          CONFIG_NF_CT_NETLINK
#define CONFIG_IP_NF_CONNTRACK_NETLINK_MODULE   CONFIG_NF_CT_NETLINK_MODULE
