# Modification history
# ====================
# 01a,16Jun,ma  l2tp Client Disconnect script. Makes use of Fifo.
#! /bin/sh

addr=$1
echo "x $addr" > /var/run/xl2tpd/l2tp-control

sleep 2 #This is required as xl2tpd.tid takes some time to update
[[ -s /var/xl2tpd.tid ]]
if [ $? -ne 0 ]; then
    logger -p 1 -t xl2tpd "No tunnel for $addr"
    exit
fi

cat /var/xl2tpd.tid | while read line; do
{
    tid=`echo $line | awk '{print $2}'`
    echo "d $tid" > /var/run/xl2tpd/l2tp-control
    logger -p 1 -t xl2tpd "Tunnel $addr:$tid disconnected"
}
done
